import request from '../../utils/request'

/**
 * 获取网站导航分页
 * 
 */
export function GetWebNavPage(data) {
  return request({
    url: '/WebManager/GetWebNavPage',
    method: 'post',
    data
  })
}

/**
 * 获取导航类型列表
 * 
 */
export function GetNavTypeList() {
    return request({
      url: '/WebManager/GetNavTypeList',
      method: 'post',
      data:''
    })
}

/**
 * 新增修改网站导航
 * 
 */
export function SetWebNav(data) {
    return request({
      url: '/WebManager/SetWebNav',
      method: 'post',
      data
    })
}
  
/**
 * 修改网站导航状态
 * 
 */
export function RemoveWebNavStatus(data) {
    return request({
      url: '/WebManager/RemoveWebNavStatus',
      method: 'post',
      data
    })
}

/**
 * 获取网站导航详情
 * 
 */
export function GetWebNav(data) {
    return request({
      url: '/WebManager/GetWebNav',
      method: 'post',
      data
    })
}  


/**
 * 获取网站菜单下拉
 * 
 */
export function GetWebMenuList(data) {
  return request({
    url: '/WebManager/GetWebMenuList',
    method: 'post',
    data
  })
}  



/**
 * 获取网站菜单分页
 * 
 */
export function GetWebMenuPage(data) {
    return request({
      url: '/WebManager/GetWebMenuPage',
      method: 'post',
      data
    })
}  
  
/**
 * 新增修改网站菜单
 * 
 */
export function SetWebMenu(data) {
    return request({
      url: '/WebManager/SetWebMenu',
      method: 'post',
      data
    })
}  

/**
 * 获取网站菜单详情
 * 
 */
export function GetWebMenu(data) {
    return request({
      url: '/WebManager/GetWebMenu',
      method: 'post',
      data
    })
}  

/**
 * 修改网站菜单状态
 * 
 */
export function RemoveWebMenuStatus(data) {
    return request({
      url: '/WebManager/RemoveWebMenuStatus',
      method: 'post',
      data
    })
}  


/**
 * 获取网站新闻类型列表
 * 
 */
export function GetWebNewsTypeList(data) {
    return request({
      url: '/WebManager/GetWebNewsTypeList',
      method: 'post',
      data
    })
}  


/**
 * 获取新闻类型分页
 * 
 */
export function GetWebNewsTypePage(data) {
    return request({
      url: '/WebManager/GetWebNewsTypePage',
      method: 'post',
      data
    })
}  

/**
 * 新增修改网站新闻类型
 * 
 */
export function SetWebNewsType(data) {
    return request({
      url: '/WebManager/SetWebNewsType',
      method: 'post',
      data
    })
}  

/**
 * 修改网站新闻类型状态
 * 
 */
export function RemoveWebNewsTypeStatus(data) {
    return request({
      url: '/WebManager/RemoveWebNewsTypeStatus',
      method: 'post',
      data
    })
}  

/**
 * 获取网站新闻类型详情
 * 
 */
export function GetWebNewsType(data) {
    return request({
      url: '/WebManager/GetWebNewsType',
      method: 'post',
      data
    })
}  


/**
 * 获取网站新闻列表
 * 
 */
export function GetWebNewsList(data) {
    return request({
      url: '/WebManager/GetWebNewsList',
      method: 'post',
      data
    })
}  


/**
 * 获取新闻分页
 * 
 */
export function GetWebNewsPage(data) {
    return request({
      url: '/WebManager/GetWebNewsPage',
      method: 'post',
      data
    })
}  

/**
 * 新增修改网站新闻
 * 
 */
export function SetWebNews(data) {
    return request({
      url: '/WebManager/SetWebNews',
      method: 'post',
      data
    })
}  

/**
 * 获取网站新闻详情
 * 
 */
export function GetWebNews(data) {
    return request({
      url: '/WebManager/GetWebNews',
      method: 'post',
      data
    })
}  

/**
 * 修改网站新闻状态
 * 
 */
export function RemoveWebNewsStatus(data) {
    return request({
      url: '/WebManager/RemoveWebNewsStatus',
      method: 'post',
      data
    })
} 


/**
 * 获取教师团队列表
 * 
 */
export function GetWebTeacherPage(data) {
  return request({
    url: '/WebManager/GetWebTeacherPage',
    method: 'post',
    data
  })
}

/**
 * 新增修改教师团队
 * 
 */
export function SetWebTeacher(data) {
  return request({
    url: '/WebManager/SetWebTeacher',
    method: 'post',
    data
  })
}

/**
 * 根据编号获取教师团队详情
 * 
 */
export function GetWebTeacher(data) {
  return request({
    url: '/WebManager/GetWebTeacher',
    method: 'post',
    data
  })
}

/**
 * 修改教师团队状态
 * 
 */
export function RemoveWebTeacherStatus(data) {
  return request({
    url: '/WebManager/RemoveWebTeacherStatus',
    method: 'post',
    data
  })
}

/**
 * 获取咨询管理分页
 * 
 */
export function GetWebAdvisoryPage(data) {
  return request({
    url: '/WebManager/GetWebAdvisoryPage',
    method: 'post',
    data
  })
}

/**
 * 根据编号获取咨询详情
 * 
 */
export function GetWebAdvisory(data) {
  return request({
    url: '/WebManager/GetWebAdvisory',
    method: 'post',
    data
  })
}


/**
 * 修改咨询
 * 
 */
export function UpdateWebAdvisory(data) {
  return request({
    url: '/WebManager/UpdateWebAdvisory',
    method: 'post',
    data
  })
}

/**
 * 修改咨询状态
 * 
 */
export function RemoveWebAdvisoryStatus(data) {
  return request({
    url: '/WebManager/RemoveWebAdvisoryStatus',
    method: 'post',
    data
  })
}


/**
 * 获取品牌卡通分页列表
 * 
 */
export function GetWebCartoonPage(data) {
  return request({
    url: '/WebManager/GetWebCartoonPage',
    method: 'post',
    data
  })
}

/**
 * 新增修改品牌动漫
 * 
 */
export function SetWebCartoon(data) {
  return request({
    url: '/WebManager/SetWebCartoon',
    method: 'post',
    data
  })
}

/**
 * 根据编号获取品牌卡通详情
 * 
 */
export function GetWebCartoon(data) {
  return request({
    url: '/WebManager/GetWebCartoon',
    method: 'post',
    data
  })
}

/**
 * 修改品牌卡通状态
 * 
 */
export function RemoveWebCartoonStatus(data) {
  return request({
    url: '/WebManager/RemoveWebCartoonStatus',
    method: 'post',
    data
  })
}


/**
 * 获取品牌月刊分页列表
 * 
 */
export function GetWebMonthlyPage(data) {
  return request({
    url: '/WebManager/GetWebMonthlyPage',
    method: 'post',
    data
  })
}

/**
 * 新增修改品牌月刊
 * 
 */
export function SetWebMonthly(data) {
  return request({
    url: '/WebManager/SetWebMonthly',
    method: 'post',
    data
  })
}

/**
 * 根据编号获取品牌月刊详情
 * 
 */
export function GetWebMonthly(data) {
  return request({
    url: '/WebManager/GetWebMonthly',
    method: 'post',
    data
  })
}
 

/**
 * 修改品牌月刊状态
 * 
 */
export function RemoveWebMonthlyStatus(data) {
  return request({
    url: '/WebManager/RemoveWebMonthlyStatus',
    method: 'post',
    data
  })
}



/**
 * 获取招聘类型分页列表
 * 
 */
export function GetWebRecruitmentTypePage(data) {
  return request({
    url: '/WebManager/GetWebRecruitmentTypePage',
    method: 'post',
    data
  })
}



/**
 * 获取招聘类型列表
 * 
 */
export function GetWebRecruitmentTypeList(data) {
  return request({
    url: '/WebManager/GetWebRecruitmentTypeList',
    method: 'post',
    data
  })
}




/**
 *  新增修改招聘类型
 * 
 */
export function SetWebRecruitmentType(data) {
  return request({
    url: '/WebManager/SetWebRecruitmentType',
    method: 'post',
    data
  })
}


/**
 *  根据编号获取招聘类型详情
 * 
 */
export function GetWebRecruitmentType(data) {
  return request({
    url: '/WebManager/GetWebRecruitmentType',
    method: 'post',
    data
  })
}

/**
 *  修改招聘类型状态
 * 
 */
export function RemoveWebRecruitmentTypeStatus(data) {
  return request({
    url: '/WebManager/RemoveWebRecruitmentTypeStatus',
    method: 'post',
    data
  })
}



/**
 *  获取招聘信息分页列表
 * 
 */
export function GetWebRecruitmentPage(data) {
  return request({
    url: '/WebManager/GetWebRecruitmentPage',
    method: 'post',
    data
  })
}


/**
 *  新增修改招聘信息
 * 
 */
export function SetWebRecruitment(data) {
  return request({
    url: '/WebManager/SetWebRecruitment',
    method: 'post',
    data
  })
}


/**
 *  根据编号获取招聘详情
 * 
 */
export function GetWebRecruitment(data) {
  return request({
    url: '/WebManager/GetWebRecruitment',
    method: 'post',
    data
  })
}


/**
 *  修改招聘状态
 * 
 */
export function RemoveWebRecruitmentStatus(data) {
  return request({
    url: '/WebManager/RemoveWebRecruitmentStatus',
    method: 'post',
    data
  })
}


/**
 *  获取招聘类型分页列表
 * 
 */
export function GetWebJobApplyPage(data) {
  return request({
    url: '/WebManager/GetWebJobApplyPage',
    method: 'post',
    data
  })
}


/**
 *  根据编号获取招聘申请
 * 
 */
export function GetWebJobApply(data) {
  return request({
    url: '/WebManager/GetWebJobApply',
    method: 'post',
    data
  })
}


/**
 *  修改招聘申请状态
 * 
 */
export function RemoveWebJobApplyStatus(data) {
  return request({
    url: '/WebManager/RemoveWebJobApplyStatus',
    method: 'post',
    data
  })
}


/**
 *  修改招聘申请信息
 * 
 */
export function UpdateWebJobApply(data) {
  return request({
    url: '/WebManager/UpdateWebJobApply',
    method: 'post',
    data
  })
}

/**
 *  同业小程序 获取幻灯片配置
 * 
 */
export function getB2BSlideShowInfo(data) {
  return request({
    url: '/B2BRemit/GetB2BSlideShowInfo',
    method: 'post',
    data
  })
}
/**
 *  同业小程序 获取幻灯片配置
 * 
 */
export function setB2BSlideShowInfo(data) {
  return request({
    url: '/B2BRemit/SetB2BSlideShowInfo',
    method: 'post',
    data
  })
}